•   
  • 1
  • 101
  • 102
  • 103(current)
  • 104
  • 105
  • 315
  •   
  Thread Closed
Release [depricated] old YouTube Plugin - XBMC 13.0 Frodo/Gotham only
pike Wrote:This idea must have been suggested before ?

Would it be possible to add a symbol next to or overlaying video thumbnail or some text label showing if video is (for example) SD or HD ?

Actually no one has asked for that before, I looked into it and it does seem youtube sends us this information (it's only a "is HD" flag though)

but im not sure how to get xbmc to do this, so far our attempts at getting xbmc to do multiple overlays (watched and download status) have been less than stellar.
joolsy Wrote:would it be possible to add yt3d:enable=true capability in configuration ?
it would allow to watch 3d movies ie. using anaglyph glasses

I don't think there are any problems enabling this, so I've added it to the todo for now. Smile
cptmarginal Wrote:OK, here's the (giant) log of me going to My Favorites, then going to a list of related videos. Both lists loaded slowly

http://pastesite.com/28315

Hmm thats really wierd seems the new caching framework is very slow for you.. I'll add it to the TODO list
smowki Wrote:Hi can somebody help me plzzzzzzz i had 2.1.0 installed worked fine updated to 2.7.0
and i get script failed plugin video youtube....i like the features of 2.7.0 to play all videos in a playlist
here is a debug file
http://pastebin.com/GhNkYtwd

It looks like you are using XBMC Dharma; use a recent pre-Eden build for 2.7.0 to work:

http://mirrors.xbmc.org/nightlies/win32/

You can install it separately from your normal XBMC folder & then run the beta in portable mode so that it doesn't overwrite the settings for your normal version:

http://wiki.xbmc.org/index.php?title=XBM...le_mode.3F
HenrikDK Wrote:Hmm thats really wierd seems the new caching framework is very slow for you.. I'll add it to the TODO list

Thanks for taking a look

I've been playing around with a lot of different aspects of my configuration, trying to see if it changes anything. Will post back if I find something out
schumi2004 Wrote:Can't get the plugin to work also.

I'm running a OpenElec setup and version 2.7.0 is/was installed.

When i try to login it keeps coming back with failed.

Here is log:
http://pastebin.com/TYSTJk4s

Quote:11:18:38 T:2754607984 NOTICE: [CommonFunctions-0.8] _fetchPage : 'URLError : <urlopen error _ssl.c:316: Invalid SSL protocol variant specified.>'

This is the old invalid ssl protocol specified error (see this trac http://trac.xbmc.org/ticket/11599) that xbmc's version of python seems to get from google. This bug has existed in xbmc for a while now eventhough we thought we found out why. We also hope the move to oauth2 would fix the problem but it seems this wasn't the case.

For me on os-x typically a restart of xbmc will make the problem go away for a while, but it's not very consistent or userfriendly :/
smowki Wrote:Hi can somebody help me plzzzzzzz i had 2.1.0 installed worked fine updated to 2.7.0
and i get script failed plugin video youtube....i like the features of 2.7.0 to play all videos in a playlist
here is a debug file
http://pastebin.com/GhNkYtwd

Hi are you running the latests nightly?, it doesnt seem like it to me, the error you're getting indicates that you're still using an older version of python that doesnt support our new code.
vijayk416 Wrote:I'm confused.
1. Isn't this all going through youtube?
2. If so, would this problem exist for all youtube videos?
3. Does youtube operate on different platforms?
Sorry for the noob questions. Eek

Hi, since you asked multiple question i enumerated them to make sure i answer them all. Big Grin

1. 4oD serve their content both though YouTube but also through their own website. Both these sites use the same distribution method (flash RTMPE) but with different backends (or at-least it seems so from the tests we've done), YouTubes servers use a newer version of the RTMPE protocol than 4oD's own site. Therefore it is possible to use the dedicated 4oD plugin to playback 4oD videos in xbmc as long as you have an updated version of librtmp.

2. No, Not all videos from youtube are streamed this way, infact most are just regular http downloads that can be easily downloaded if you know how.

3. If you're talking about video streaming platforms then yes, so far we've seen multiple solutions implemented various places across their site, ranging from normal http, RTMPE to embedding partner sites like crackle (the latter of which is a whole other headache)

Hope this answers your questions.
HenrikDK Wrote:Hmm thats really wierd seems the new caching framework is very slow for you.. I'll add it to the TODO list

OK, I tried 2.7.0 with the latest nightly on a different PC and it loads fast. No idea why, but all my attempts to make the two setups similar haven't changed anything so far. Here's a log of it working correctly for me, in case it helps:

http://pastesite.com/28361

Thanks again everyone for creating the best XBMC feature Smile
oops
HenrikDK Wrote:Hi are you running the latests nightly?, it doesnt seem like it to me, the error you're getting indicates that you're still using an older version of python that doesnt support our new code.
Hi thnks for your reply
ive installed 2.7.0 on my laptop which is running dharma 10.1
and it works perfectly fine
but on my htpc its causing a problem i dont get it if one pc running dharma
and the plugin works so should the other
HenrikDK Wrote:Hi are you running the latests nightly?, it doesnt seem like it to me, the error you're getting indicates that you're still using an older version of python that doesnt support our new code.
Hi thnks for your reply
ive installed 2.7.0 on my laptop which is running dharma 10.1
and it works perfectly fine
but on my htpc its causing a problem i dont get it if one pc running dharma
and the plugin works so should the other
where can i get the latest python from sorry if i sound silly
bit of a noob
HenrikDK Wrote:For me on os-x typically a restart of xbmc will make the problem go away for a while, but it's not very consistent or userfriendly :/

that very same (I believe) error has been sabotaging mflow and grooveshark plugins for the past few weeks
URLError: <urlopen error _ssl.c:310: Invalid SSL protocol variant specified.>

It just appeared out of nowhere and as you can see in my digging in the plugins' appropriate threads - just restarting doesn't do you good for long
cptmarginal Wrote:OK, I tried 2.7.0 with the latest nightly on a different PC and it loads fast. No idea why, but all my attempts to make the two setups similar haven't changed anything so far. Here's a log of it working correctly for me, in case it helps:

http://pastesite.com/28361

Thanks again everyone for creating the best XBMC feature Smile

The reason it was slow before is because the caching framework gave a LOT of debug info.

More then it should have. The new log doesn't have this excessive debug, and is thus faster.
macf1an Wrote:that very same (I believe) error has been sabotaging mflow and grooveshark plugins for the past few weeks
URLError: <urlopen error _ssl.c:310: Invalid SSL protocol variant specified.>

It just appeared out of nowhere and as you can see in my digging in the plugins' appropriate threads - just restarting doesn't do you good for long

You should take it up with the OpenELEC people.
  •   
  • 1
  • 101
  • 102
  • 103(current)
  • 104
  • 105
  • 315
  •   
  Thread Closed
 
Thread Rating:
  • 28 Vote(s) - 4.14 Average



Logout Mark Read Team Forum Stats Members Help
[depricated] old YouTube Plugin - XBMC 13.0 Frodo/Gotham only4.1428